Skip to main content

Experience Slugs Actions

https://api.losant.com/applications/APPLICATION_ID/experience/slugs

Below are the various requests that can be performed against the Experience Slugs resource, as well as the expected parameters and the potential responses.

Get

Returns the experience slugs for an application

Method And Url

GET https://api.losant.com/applications/APPLICATION_ID/experience/slugs

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.cli, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.cli, all.User.read, experienceSlugs.*, or experienceSlugs.get.

Request Path Components

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/experience/slugs

Successful Responses

CodeTypeDescription
200Experience SlugsCollection of experience slugs

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post

Create a new experience slug for an application

Method And Url

POST https://api.losant.com/applications/APPLICATION_ID/experience/slugs

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, experienceSlugs.*, or experienceSlugs.post.

Request Path Components

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body

The body of the request should be serialized JSON that validates against the Experience Slug Post schema. For example, the following would be a valid body for this request:

{
"slug": "my-custom-slug",
"version": "develop"
}

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"slug":"my-custom-slug","version":"develop"}' \
https://api.losant.com/applications/APPLICATION_ID/experience/slugs

Successful Responses

CodeTypeDescription
201Experience SlugSuccessfully created experience slug

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas

Error

Schema for errors returned by the API

Error Schema

  • {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • {} 3 keys
      • {} 1 key
        • {} 1 key
          • {} 2 keys

        Error Example

        • {} 2 keys
          • "NotFound"
          • "Application was not found"

        Experience Slug

        Schema for a single Experience Slug

        Experience Slug Schema

        • {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • {} 7 keys
            • {} 2 keys
              • {} 2 keys
                • {} 2 keys
                  • {} 2 keys
                    • {} 2 keys
                      • {} 4 keys
                        • {} 3 keys

                      Experience Slug Example

                      • {} 7 keys
                        • "5b995e51ea9994b50d745284"
                        • "5b995e51ea9994b50d745284"
                        • "575ec8687ae143cd83dc4a97"
                        • "2016-06-13T04:00:00.000Z"
                        • "2016-06-13T04:00:00.000Z"
                        • "my-custom-slug"
                        • "develop"

                      Experience Slug Post

                      Schema for the body of an Experience Slug creation request

                      Experience Slug Post Schema

                      • {} 5 keys
                        • "http://json-schema.org/draft-07/schema#"
                        • "object"
                        • {} 2 keys
                          • {} 1 key
                            • {} 4 keys
                            • false
                            • [] 1 item

                            Experience Slug Post Example

                            • {} 2 keys
                              • "my-custom-slug"
                              • "develop"

                            Experience Slugs

                            Schema for a collection of Experience Slugs

                            Experience Slugs Schema

                            • {} 3 keys
                              • "http://json-schema.org/draft-07/schema#"
                              • "object"
                              • {} 8 keys
                                • {} 2 keys
                                  • {} 1 key
                                    • {} 1 key
                                      • {} 1 key
                                        • {} 1 key
                                          • {} 1 key
                                            • {} 2 keys
                                              • {} 2 keys

                                            Experience Slugs Example

                                            • {} 4 keys
                                              • [] 1 item
                                                • 1
                                                • 1
                                                • "575ec8687ae143cd83dc4a97"

                                              Was this page helpful?


                                              Still looking for help? You can also search the Losant Forums or submit your question there.